"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventRegistry = void 0;
class EventRegistry {
    supportedEvents;
    supportedEventsSet;
    supportedEventMap = {};
    constructor(supportedEvents) {
        this.supportedEvents = supportedEvents;
        this.supportedEventsSet = new Set();
        for (const supportedEvent of supportedEvents) {
            this.supportedEventMap[supportedEvent.schema.shape.type.value] = supportedEvent;
            this.supportedEventsSet.add(supportedEvent.schema.shape.type.value);
        }
    }
    getEventDefinitionByTypeName = (eventTypeName) => {
        return this.supportedEventMap[eventTypeName];
    };
    isSupportedEvent(eventTypeName) {
        return this.supportedEventsSet.has(eventTypeName);
    }
}
exports.EventRegistry = EventRegistry;
//# sourceMappingURL=EventRegistry.js.map