import type { BaseEventType } from '../events/baseEventSchemas';
import type { CommonEventDefinition } from '../events/eventTypes';
import type { MessageMetadataType } from './baseMessageSchemas';
export type IdGenerator = () => string;
export type TimestampGenerator = () => string;
export type MetadataFillerOptions = {
    serviceId: string;
    schemaVersion: string;
    idGenerator?: IdGenerator;
    timestampGenerator?: TimestampGenerator;
    defaultVersion?: string;
};
export type MetadataFiller<T extends BaseEventType = BaseEventType, D = CommonEventDefinition, M = MessageMetadataType> = {
    produceMetadata(currentMessage: T, eventDefinition: D, precedingMessageMetadata?: M): M;
    produceId(): string;
    produceTimestamp(): string;
};
export declare class CommonMetadataFiller implements MetadataFiller {
    private readonly serviceId;
    readonly produceId: IdGenerator;
    readonly produceTimestamp: TimestampGenerator;
    private readonly defaultVersion;
    constructor(options: MetadataFillerOptions);
    produceMetadata(_currentMessage: BaseEventType, eventDefinition: CommonEventDefinition, precedingMessageMetadata?: MessageMetadataType): MessageMetadataType;
}
