"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonMetadataFiller = void 0;
const node_crypto_1 = require("node:crypto");
class CommonMetadataFiller {
    serviceId;
    produceId;
    produceTimestamp;
    defaultVersion;
    constructor(options) {
        this.serviceId = options.serviceId;
        this.defaultVersion = options.defaultVersion ?? '1.0.0';
        this.produceId =
            options.idGenerator ??
                (() => {
                    return (0, node_crypto_1.randomUUID)();
                });
        this.produceTimestamp =
            options.timestampGenerator ??
                (() => {
                    return new Date().toISOString();
                });
    }
    produceMetadata(_currentMessage, eventDefinition, precedingMessageMetadata) {
        return {
            producedBy: this.serviceId,
            originatedFrom: precedingMessageMetadata?.originatedFrom ?? this.serviceId,
            schemaVersion: eventDefinition.schemaVersion ?? this.defaultVersion,
            correlationId: precedingMessageMetadata?.correlationId ?? this.produceId(),
        };
    }
}
exports.CommonMetadataFiller = CommonMetadataFiller;
//# sourceMappingURL=MetadataFiller.js.map