import z from 'zod';
export declare const MESSAGE_METADATA_SCHEMA: z.ZodObject<{
    schemaVersion: z.ZodString;
    producedBy: z.ZodString;
    originatedFrom: z.ZodString;
    correlationId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    schemaVersion: string;
    producedBy: string;
    originatedFrom: string;
    correlationId: string;
}, {
    schemaVersion: string;
    producedBy: string;
    originatedFrom: string;
    correlationId: string;
}>;
export declare const BASE_MESSAGE_SCHEMA: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    timestamp: z.ZodString;
    type: z.ZodLiteral<string>;
    payload: z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
}, {
    metadata: z.ZodOptional<z.ZodObject<{
        schemaVersion: z.ZodString;
        producedBy: z.ZodString;
        originatedFrom: z.ZodString;
        correlationId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: string;
        producedBy: string;
        originatedFrom: string;
        correlationId: string;
    }, {
        schemaVersion: string;
        producedBy: string;
        originatedFrom: string;
        correlationId: string;
    }>>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    timestamp: string;
    type: string;
    payload?: {} | undefined;
    metadata?: {
        schemaVersion: string;
        producedBy: string;
        originatedFrom: string;
        correlationId: string;
    } | undefined;
}, {
    id: string;
    timestamp: string;
    type: string;
    payload?: {} | undefined;
    metadata?: {
        schemaVersion: string;
        producedBy: string;
        originatedFrom: string;
        correlationId: string;
    } | undefined;
}>;
export type BaseMessageType = z.infer<typeof BASE_MESSAGE_SCHEMA>;
export type MessageMetadataType = z.infer<typeof MESSAGE_METADATA_SCHEMA>;
